/*kodhus progress bar*/

/*kodhus progress bar*/

#step-progress-bar, #step-progress-bar-vertical {
    max-width: 800px;
    margin: 2rem auto;
}
#step-progress-bar-vertical {
    max-width: 400px;
    margin: 2rem auto;
    padding: 1rem;
}

#step-progress-bar-vertical .title {
    padding-top: 0px;
}

.cdt-step-progressbar.horizontal {
    width: 100%;
    flex-direction: row;
}

.cdt-step-progressbar li.active.fix-last-active {
    border-left-color: rgb(34 197 94);
}

.cdt-step-progressbar li.active {
    border-left-color: rgb(34 197 94);
}


.cdt-step-progressbar {
    list-style: none;
    padding: 0;
    margin: 0;
    position: relative;
    counter-reset: step;
    display: flex;
    flex-direction: column;
}

.cdt-step-progressbar.horizontal li {
    color: hsl(0, 0%, 44%);
    padding-left: 0;
    padding-top: 40px;
    border-left: none;
    text-align: center;
}

.cdt-step-progressbar li {
    padding: 0px 0 40px 40px;
    border-left: 1px solid rgb(34 197 94);
    position: relative;
    color: #fff;
}

.cdt-step-progressbar {
    list-style: none;
    padding: 0;
    margin: 0;
    position: relative;
    counter-reset: step;
    display: flex;
    flex-direction: column;
}

.cdt-step-progressbar li.active .indicator, .cdt-step-progressbar.horizontal li.active .indicator {
    border-color: #fff;
    color: #fff;
}

.cdt-step-progressbar li.active .indicator {
    background-color: #fff;
}

.cdt-step-progressbar.horizontal li .indicator {
    position: absolute;
    left: 50%;
    top: 0;
    transform: translate(-50%,-50%);
}

.cdt-step-progressbar li .indicator {
    width: 18px;
    height: 18px;
    border-radius: 50%;
    background: rgb(34 197 94);
    position: absolute;
    left: 0;
    top: 0;
    border: 2px solid rgb(34 197 94);
    color: hsl(0, 0%, 44%);
    transform: translate(-50%);
    display: flex;
    align-items: center;
    justify-content: center;
}

.cdt-step-progressbar li:last-child .indicator {
    width: 24px;
    height: 24px;
    border: none;

}


.cdt-step-progressbar li.active .title, .cdt-step-progressbar.horizontal li.active .title {
    color: hsl(225, 80%, 52%);

}

.cdt-step-progressbar.horizontal li:before {
    content: "";
    position: absolute;
    width: 150%;
    height: 2px;
    background-color: rgb(34 197 94);
    top: 0;
    left: -94%;
    z-index: 0;
}

.cdt-step-progressbar.horizontal li:first-child {
    left: -5%;

}
.cdt-step-progressbar.horizontal li .indicator{
    z-index: 2;
}


.cdt-step-progressbar.horizontal li:first-child:before{content:none}
.cdt-step-progressbar li:last-child{
    border: none;
}
@media screen and (max-width: 768px)
#step-progress-bar {
    width: 100%;
}












/*progressbar css*/
#progressbar {
    margin-bottom: 3vh;
    overflow: hidden;
    color: rgb(252, 103, 49);
    padding-left: 0px;
    margin-top: 3vh
}

#progressbar li {
    list-style-type: none;
    font-size: x-small;
    width: 25%;
    float: left;
    position: relative;
    font-weight: 400;
    color: rgb(160, 159, 159)
}

#progressbar #step1:before {
    content: "";
    color: rgb(252, 103, 49);
    width: 5px;
    height: 5px;
    margin-left: 0px !important
}

#progressbar #step2:before {
    content: "";
    color: #fff;
    width: 5px;
    height: 5px;
    margin-left: 32%
}

#progressbar #step3:before {
    content: "";
    color: #fff;
    width: 5px;
    height: 5px;
    margin-right: 32%
}

#progressbar #step4:before {
    content: "";
    color: #fff;
    width: 5px;
    height: 5px;
    margin-right: 0px !important
}

#progressbar li:before {
    line-height: 29px;
    display: block;
    font-size: 12px;
    background: #ddd;
    border-radius: 50%;
    margin: auto;
    z-index: -1;
    margin-bottom: 1vh
}

#progressbar li:after {
    content: '';
    height: 2px;
    background: #ddd;
    position: absolute;
    left: 0%;
    right: 0%;
    margin-bottom: 2vh;
    top: 1px;
    z-index: 1
}

.progress-track {
    padding: 0 8%
}

#progressbar li:nth-child(2):after {
    margin-right: auto
}

#progressbar li:nth-child(1):after {
    margin: auto
}

#progressbar li:nth-child(3):after {
    float: left;
    width: 68%
}

#progressbar li:nth-child(4):after {
    margin-left: auto;
    width: 132%
}

#progressbar li.active {
    color: black
}

#progressbar li.active:before,
#progressbar li.active:after {
    background: rgb(252, 103, 49)
}



/*progressbar css*/
#progressbar {
    margin-bottom: 3vh;
    overflow: hidden;
    color: rgb(252, 103, 49);
    padding-left: 0px;
    margin-top: 3vh
}

#progressbar li {
    list-style-type: none;
    font-size: x-small;
    width: 25%;
    float: left;
    position: relative;
    font-weight: 400;
    color: rgb(160, 159, 159)
}

#progressbar #step1:before {
    content: "";
    color: rgb(252, 103, 49);
    width: 5px;
    height: 5px;
    margin-left: 0px !important
}

#progressbar #step2:before {
    content: "";
    color: #fff;
    width: 5px;
    height: 5px;
    margin-left: 32%
}

#progressbar #step3:before {
    content: "";
    color: #fff;
    width: 5px;
    height: 5px;
    margin-right: 32%
}

#progressbar #step4:before {
    content: "";
    color: #fff;
    width: 5px;
    height: 5px;
    margin-right: 0px !important
}

#progressbar li:before {
    line-height: 29px;
    display: block;
    font-size: 12px;
    background: #ddd;
    border-radius: 50%;
    margin: auto;
    z-index: -1;
    margin-bottom: 1vh
}

#progressbar li:after {
    content: '';
    height: 2px;
    background: #ddd;
    position: absolute;
    left: 0%;
    right: 0%;
    margin-bottom: 2vh;
    top: 1px;
    z-index: 1
}

.progress-track {
    padding: 0 8%
}

#progressbar li:nth-child(2):after {
    margin-right: auto
}

#progressbar li:nth-child(1):after {
    margin: auto
}

#progressbar li:nth-child(3):after {
    float: left;
    width: 68%
}

#progressbar li:nth-child(4):after {
    margin-left: auto;
    width: 132%
}

#progressbar li.active {
    color: black
}

#progressbar li.active:before,
#progressbar li.active:after {
    background: rgb(252, 103, 49)
}


/*custom style*/

.custom-file-label {
   cursor: pointer;
   /* Style as you please, it will become the visible UI component. */
}

.custom-file-input {
   opacity: 0;
   position: fixed;
   z-index: -1;
}
.select2 {
    width: 308.672px;
    border: 1px solid gray;
    padding: 3px;
}
 .show-on-mouse{
    display: none;
 }
 .show-on-mouse:hover{
    display: block;
 }

 /* PRELOADER CSS */
 .page-loader{
     width: 100%;
     height: 100vh;
     position: absolute;
     background: black;
     opacity: 0.5;
     z-index: 11;
     display: none;
     
 }
 .page-loader > .txt{
         color: #666;
         text-align: center;
         top: 40%;
         position: relative;
         text-transform: uppercase;
         letter-spacing: 0.3rem;
         font-weight: bold;
         line-height: 1.5;
     }
     

 /* SPINNER ANIMATION */
 .spinner {
    position: relative;
     top: 35%;
   width: 50px;
   height: 50px;
   margin: 0 auto;
   background-color: #ffff;

   border-radius: 100%;  
   -webkit-animation: sk-scaleout 1.0s infinite ease-in-out;
   animation: sk-scaleout 1.0s infinite ease-in-out;
 }


 .detail-row:nth-child(even) {
   background-color: white;
 }
  .detail-row:nth-child(odd) {
   background-color: rgb(226 232 240/var(--tw-bg-opacity));
 }

 .bg-brand-yellow {
     --tw-bg-opacity: 1;
     background-color: rgb(255 255 0 / var(--tw-bg-opacity));
 }
